# This file created by conda-build 24.7.1
# meta.yaml template originally from:
# /opt/recipe, last modified Tue Apr  8 20:47:42 2025
# ------------------------------------------------

package:
  name: reduce
  version: '4.15'
source:
  sha256: f2f993e3f86ded38135d6433e0a7c2ed10fbe5da37f232c04d7316702582ed06
  url: https://github.com/rlabduke/reduce/archive/refs/tags/v4.15.tar.gz
build:
  number: '0'
  run_exports:
    - reduce >=4.15,<5.0a0
  string: h80f0ee0_0
requirements:
  build:
    - _openmp_mutex 4.5 2_gnu
    - binutils_impl_linux-aarch64 2.43 h4c662bb_4
    - binutils_linux-aarch64 2.43 hf1166c9_4
    - bzip2 1.0.8 h68df207_7
    - c-ares 1.34.5 h86ecc28_0
    - ca-certificates 2025.1.31 hcefe29a_0
    - cmake 4.0.0 h0efca9c_0
    - gcc_impl_linux-aarch64 13.3.0 h80a1502_2
    - gcc_linux-aarch64 13.3.0 h1cd514b_8
    - gxx_impl_linux-aarch64 13.3.0 h7eae8fb_2
    - gxx_linux-aarch64 13.3.0 h2864abd_8
    - kernel-headers_linux-aarch64 4.18.0 h05a177a_18
    - keyutils 1.6.1 h4e544f5_0
    - krb5 1.21.3 h50a48e9_0
    - ld_impl_linux-aarch64 2.43 h80caac9_4
    - libcurl 8.13.0 h6702fde_0
    - libedit 3.1.20250104 pl5321h976ea20_0
    - libev 4.33 h31becfc_2
    - libexpat 2.7.0 h5ad3122_0
    - libgcc 14.2.0 he277a41_2
    - libgcc-devel_linux-aarch64 13.3.0 h0c07274_102
    - libgcc-ng 14.2.0 he9431aa_2
    - libgomp 14.2.0 he277a41_2
    - liblzma 5.8.1 h86ecc28_0
    - libnghttp2 1.64.0 hc8609a4_0
    - libsanitizer 13.3.0 ha58e236_2
    - libssh2 1.11.1 ha41c0db_0
    - libstdcxx 14.2.0 h3f4de04_2
    - libstdcxx-devel_linux-aarch64 13.3.0 h0c07274_102
    - libstdcxx-ng 14.2.0 hf1166c9_2
    - libuv 1.50.0 h86ecc28_0
    - libzlib 1.3.1 h86ecc28_2
    - make 4.4.1 h2a6d0cb_2
    - ncurses 6.5 ha32ae93_3
    - openssl 3.5.0 hd08dc88_0
    - rhash 1.4.5 h86ecc28_0
    - sysroot_linux-aarch64 2.17 h68829e0_18
    - tzdata 2025b h78e105d_0
    - zstd 1.5.7 hbcf94c1_2
  host:
    - _openmp_mutex 4.5 2_gnu
    - libgcc 14.2.0 he277a41_2
    - libgomp 14.2.0 he277a41_2
    - libstdcxx 14.2.0 h3f4de04_2
  run:
    - libgcc >=13
    - libstdcxx >=13
    - python
test:
  commands:
    - reduce -version || if [ $? -eq 2 ]; then exit 0; else exit 1; fi
about:
  description: 'Reduce is a tool for adding and correcting hydrogens in PDB files.

    It is often used in computational biology and molecular modeling to

    prepare protein structures for further analysis or simulations.

    '
  dev_url: https://github.com/rlabduke/reduce
  doc_url: https://github.com/rlabduke/reduce/blob/v4.15/README.md
  home: https://github.com/rlabduke/reduce
  license: BSD-4-Clause-UC
  license_family: BSD
  license_file: LICENSE.txt
  summary: Reduce - tool for adding and correcting hydrogens in PDB files.
extra:
  additional-platforms:
    - linux-aarch64
    - osx-arm64
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - eunos-1128
